
const Analyzer = require('./analyzer.js');
const Az = require("az");
const path = require("path");

if(!process.argv[2]) {
    console.log("please specify text first.");
    return false;
}

Az.Morph.init(path.dirname(require.resolve("az/package.json"))+"/dicts", function (m) {

    Analyzer.initialize(Az);
    var Trees = Analyzer.parse(process.argv[2]);
    if(Trees[0]) {
        Trees[0].display();
        
        // here can extract a part of sentence by syntax
        // Trees[0].extract("VP[tran]");
    } else {
        console.log("can't parse");
    }
    
});

